### Enumeration

# SpiceClientGLib QmpPortVmAction

since: 0.36

#### Declaration

    enum SpiceClientGLib.QmpPortVmAction

#### Description [src]

An action to perform on the VM.

Available since: 0.36

#### Members

`SPICE_QMP_PORT_VM_ACTION_QUIT`

  This command will cause the VM process to exit gracefully.

  - Value: `0`
  - Available since: 0.36
`SPICE_QMP_PORT_VM_ACTION_RESET`

  Performs a hard reset of the VM.

  - Value: `1`
  - Available since: 0.36
`SPICE_QMP_PORT_VM_ACTION_POWER_DOWN`

  Performs a power down operation.

  - Value: `2`
  - Available since: 0.36
`SPICE_QMP_PORT_VM_ACTION_PAUSE`

  Stop all VCPU execution.

  - Value: `3`
  - Available since: 0.36
`SPICE_QMP_PORT_VM_ACTION_CONTINUE`

  Resume all VCPU execution.

  - Value: `4`
  - Available since: 0.36
`SPICE_QMP_PORT_VM_ACTION_LAST`

  The last enum value.

  - Value: `5`
  - Available since: 0.36